let LABEL_YES = "Да";
      let LABEL_NO = "Нет";
      let RED_MESSAGE =
        "Соответствует критериям семейной средиземноморской лихорадки";
      let GREEN_MESSAGE =
        "Не соответствует критериям семейной средиземноморской лихорадки";
      window.addEventListener("load", function (e) {
        let buttons = document.querySelectorAll(".group_button");

        buttons.forEach(function (item) {
          item.dataset.selected = 0;
          item.querySelector(".yes").addEventListener("click", assignListener);
          item.querySelector(".no").addEventListener("click", assignListener);
        });
      });

      function assignListener(event) {
        let root = event.target.parentElement;
        let yes = root.querySelector(".yes");
        let no = root.querySelector(".no");
        yes.classList.remove("row_button_selected");
        no.classList.remove("row_button_selected");
        if (event.target.classList.contains("yes")) {
          root.dataset.selected = 1;
          yes.classList.add("row_button_selected");
        } else {
          root.dataset.selected = 0;
          no.classList.add("row_button_selected");
        }
      }

      function usertest() {
        var big_total = 0;
        var small_total = 0;
        var support_total_part1 = 0;
        var support_total_part2 = 0;

        var is_red = false;
        document.querySelectorAll(".big_group").forEach(function (item) {
          // Большие критерии
          big_total += parseInt(item.dataset.selected);
        });

        document.querySelectorAll(".small_group").forEach(function (item) {
          // Малые критерии
          small_total += parseInt(item.dataset.selected);
        });

        document.querySelectorAll(".support_group1").forEach(function (item) {
          // Поддерживающие критерии 1-5
          support_total_part1 += parseInt(item.dataset.selected);
        });

        document.querySelectorAll(".support_group2").forEach(function (item) {
          // Поддерживающие критерии 5 и далее
          support_total_part2 += parseInt(item.dataset.selected);
        });

        // 1 группа условий - Соответствие ≥ 1 большим критериям:
        if (big_total >= 1) {
          // showmodal(true);
          is_red = true;
        }

        // 2 группа условий - Соответствие ≥ 2 малым критериям
        if (small_total >= 2) {
          // showmodal(true);
          is_red = true;
        }
        // 3 группа условий - Соответствие 1 большому + ≥ 5 поддерживающим критериям
        if (big_total == 1 && support_total_part1 + support_total_part2 >= 5) {
          // showmodal(true);
          is_red = true;
        }
        // 4 группа условий - Соответствие 1 малому + ≥ 4 поддерживающим критериям из числа первых 5
        if (small_total == 1 && support_total_part1 >= 4) {
          // showmodal(true);
          is_red = true;
        }

        showmodal(is_red);
      }

      function showmodal(is_red) {
        let message_entrie = document.getElementById("message_entrie");
        message_entrie.parentElement.classList.remove("red_message");
        message_entrie.parentElement.classList.remove("green_message");
        if (is_red) {
          message_entrie.parentElement.classList.add("red_message");
          /* message_entrie.green = RED_MESSAGE; */
          message_entrie.querySelector(".red-message-content").style.display =
            "block";
        } else {
          message_entrie.parentElement.classList.add("green_message");
          /* message_entrie.chiinnerText = GREEN_MESSAGE; */
          message_entrie.querySelector(".green-message-content").style.display =
            "block";
        }
        document
          .getElementById("modal_container")
          .classList.add("modal_visible");
      }

      function hidemodal() {
        document
          .getElementById("modal_container")
          .classList.remove("modal_visible");

        document.querySelector(".red-message-content").style.display = "none";
        document.querySelector(".green-message-content").style.display = "none";
      }